@use 'variables' as variables;
@use 'mixins' as mixins;

#echarts-default-chart {
    width: variables.$chart-maximum-width;
    height: variables.$chart-maximum-height;
}

#textual-table {
    width: variables.$default-textual-table-width;
}

#echarts-world-map {
    width: variables.$default-world-map-width;
    height: variables.$default-world-map-height;

}

.cell-green {
    @include mixins.cell-color($color: green);
}

.cell-blue {
    @include mixins.cell-color($color: blue);
}

.cell-red {
    @include mixins.cell-color($color: red);
}

.cell-yellow {
    @include mixins.cell-color($color: yellow);
}

.cell-brown {
    @include mixins.cell-color($color: brown);
}

.cell-orange {
    @include mixins.cell-color($color: orange);
}

.cell-purple {
    @include mixins.cell-color($color: purple);
}

// Add more colors as needed, and make sure the format function references them